#  -*- coding: utf-8 -*-
#
#  GSXML - A Content Import/Export Product
#
#  Test Doctests
#
#  Copyright (c) 2006-2007 InQuant GmbH
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""
Test Runner for the doctests in the 'docs' folder
"""

__author__ = """Ramon Bartl <ramonski@ramonski.de>"""
__docformat__ = 'restructuredtext'
__revision__ = "$Revision: 40059 $"

from unittest import TestSuite
from Testing.ZopeTestCase.zopedoctest import ZopeDocFileSuite
from base import GSXMLTestCase

from utils import optionflags

def test_suite():

   return TestSuite((
       ZopeDocFileSuite('docs/collector.txt',
                        package='Products.gsxml',
                        optionflags=optionflags,
                        test_class=GSXMLTestCase),

       #ZopeDocFileSuite('docs/manifest.txt',
       #                 package='Products.gsxml',
       #                 optionflags=optionflags,
       #                 test_class=GSXMLTestCase),

#       ZopeDocFileSuite('docs/manifest.txt',
#                        package='Products.gsxml',
#                        optionflags=optionflags,
#                        test_class=GSXMLTestCase),

#       ZopeDocFileSuite('docs/fsexport.txt',
#                        package='Products.gsxml',
#                        optionflags=optionflags,
#                        test_class=GSXMLTestCase),
#
#
#       ZopeDocFileSuite('docs/fsimport.txt',
#                        package='Products.gsxml',
#                        optionflags=optionflags,
#                        test_class=GSXMLTestCase),
#
#       ZopeDocFileSuite('docs/gmailexport.txt',
#                        package='Products.gsxml',
#                        optionflags=optionflags,
#                        test_class=GSXMLTestCase),
#
#       ZopeDocFileSuite('docs/gmailimport.txt',
#                        package='Products.gsxml',
#                        optionflags=optionflags,
#                        test_class=GSXMLTestCase),
   ))
